@ECHO OFF

REM --------------------------------------------------------------------------

REM Licensed Materials - Property of IBM

REM  

REM 5724-A78

REM

REM (C) Copyright IBM Corp. 2001 All Rights Reserved.

REM

REM US Government Users Restricted Rights - Use, duplication or

REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

REM

REM --------------------------------------------------------------------------



REM --------------------------------------------------------------------------

REM Verify the Solution Management Framework is working

REM --------------------------------------------------------------------------



setlocal



call bizSetEnv > nul 2>&1

call bizSetJMXEnv > nul


set HOST=%1

if ".%HOST%." == ".?." goto :usage




set PORT=%2

if defined PORT set PORT=:%PORT%



if not defined HOST (
    goto usage

) else (

    echo Attempting to verify the Solution Management Framework on %HOST%

    echo.

    REM Verify the framework, by trying to list all of the MBeans

    java com.ibm.btobi.management.framework.jmx.RemoteMBeanServerFactory rmi://%HOST%%PORT% > mbeans.lst 2>&1

    REM Check if the framework is running
    find /C /I "Exception" mbeans.lst > nul
    if errorlevel 1 (
       echo The Framework appears to be working correctly.
    ) else (
       echo A problem has been detected with the Framework. 
       echo Check that the IBM WebSphere Business Integrator Agent service
       echo is running on %HOST%, and run this utility again.
       echo.
       echo If the problem persists, contact your service representative
    )

    REM Delete the temporary file
    del mbeans.lst    


)




endlocal

goto :eof





:usage

echo.

echo bizVerifySMFramework hostname [portnumber]

echo.

echo     Verifys that the Solution Management Framework is working correctly

echo.

echo     hostname:   The TCP/IP hostname of the machine where the framework is running

echo     portnumber: The port number on which the JMX agent can be contacted

echo                 If the port number is not specified the default will be used.

echo.



